## A NoteView that stores notes that exist on a lane.
class_name LaneView extends NoteView

## The lane notes will be filtered by.
@export var lane: int

## Get the array this LaneView refers to.
func get_data() -> NoteSubset:
	return _lane_notes

func update(beat: float) -> void:
	_update_view_relative_to_notes(_lane_notes, beat)
	_previous_beat = beat

# ======== Implementation ======== #
var _lane_notes: NoteSubset

func _set_data(p_notes: NoteArray) -> void:
	notes = p_notes
	_lane_notes = NoteSubset.get_notes_in_lane(p_notes, lane)
	reset_view()
